### Method

# Adw Banner set_button_style

since: 1.7

#### Declaration [src]

    void
    adw_banner_set_button_style (
      AdwBanner* self,
      AdwBannerButtonStyle style
    )

#### Description [src]

Sets the style class to use for the banner button.

When set to `ADW_BANNER_BUTTON_DEFAULT`, the button is grey. When set to `ADW_BANNER_BUTTON_SUGGESTED`, the button uses the `.suggested-action` appearance.

.

Available since: 1.7

Sets property | `Adw.Banner:button-style`

#### Parameters

`style`

  Type: `AdwBannerButtonStyle`

  A button style.